Bug 595559 - Hot pink display on DVI output from intel chipset
Hot pink display on DVI output from intel chipset
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 20:42 EDT by Andrew Bartlett
Modified: 2018-04-11 05:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log during the testing (108.46 KB, text/plain)
2010-05-24 20:42 EDT, Andrew Bartlett
no flags Details
output of dmesg (119.08 KB, text/plain)
2010-10-19 23:59 EDT, Andrew Bartlett
no flags Details
/var/log/dmesg (61.08 KB, text/plain)
2010-10-20 00:00 EDT, Andrew Bartlett
no flags Details
xorg.conf (642 bytes, text/plain)
2010-10-20 00:01 EDT, Andrew Bartlett
no flags Details
Xorg.0.log (196.24 KB, text/plain)
2010-10-20 00:03 EDT, Andrew Bartlett
no flags Details

  None (edit)
Description Andrew Bartlett 2010-05-24 20:42:22 EDT
Created attachment 416245 [details]
Xorg.0.log during the testing

Description of problem:
Occasionally 

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.11.0-4.fc13.x86_64
Linux naomi 2.6.33.4-95.fc13.x86_64 #1 SMP Thu May 13 05:16:23 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Occasionally

Steps to Reproduce:
1. Allow display to go to sleep
2. Wake it back up
3.
  
Actual results:
Display is distorted - white becomes a hot pink, and green is indistinguishable from black. 

Expected results:
Full colour

Additional info:
It is possible to reset the display by changing rotation with the display tool.

I am using an Belkin 4-port KVM switch, but once established, the problem remains even if I plug in directly. 

I have had this problem on and off for the Fedora 13 pre-release period, but failed to report it (sorry) because it is hard to reproduce.  Perhaps I can run with some debugging enabled so as to provide useful output when it re-appears?
Comment 1 Matěj Cepl 2010-05-25 07:06:32 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Andrew Bartlett 2010-10-19 23:59:01 EDT
Created attachment 454500 [details]
output of dmesg
Comment 3 Andrew Bartlett 2010-10-20 00:00:06 EDT
Created attachment 454501 [details]
/var/log/dmesg
Comment 4 Andrew Bartlett 2010-10-20 00:01:58 EDT
Created attachment 454502 [details]
xorg.conf

I'm actually running it as dual display, now without the KVM switch and with two BenQ FP937s monitors.  Only the DVI monitor is affected, now yellow (not hot pink). 

Screen 0: minimum 320 x 200, current 2560 x 1024, maximum 8192 x 8192
VGA1 connected 1280x1024+1280+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0     72.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
   640x350        70.1  
DVI1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0     72.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
   640x350        70.1  
DVI2 disconnected (normal left inverted right x axis y axis)
VGA2 disconnected (normal left inverted right x axis y axis)
Comment 5 Andrew Bartlett 2010-10-20 00:03:50 EDT
Created attachment 454503 [details]
Xorg.0.log
Comment 6 Matěj Cepl 2010-10-20 09:48:20 EDT
Comment on attachment 416245 [details]
Xorg.0.log during the testing

Log since bootup.  Includes the period of pink, then switching back to normal by attempting a rotation and allowing the timeout to run.
Comment 7 Andrew Bartlett 2010-10-20 21:47:46 EDT
BTW, The later dated logs are from current Fedora 13:

Linux naomi 2.6.34.7-56.fc13.x86_64 #1 SMP Wed Sep 15 03:36:55 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
xorg-x11-drv-intel-2.11.0-5.fc13.x86_64
Comment 8 Bug Zapper 2011-06-02 09:34:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Andrew Bartlett 2011-06-14 21:20:38 EDT
Still reproduced in Fedora 15 installer.
Comment 10 Fedora End Of Life 2012-08-07 15:25:15 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.